use std::net::{TcpStream, TcpListener};
use std::io::prelude::*;


fn main() {
    let listener = TcpListener::bind("127.0.0.1:26382").unwrap();

    for stream in listener.incoming() {
        let stream = stream.unwrap();

        handle_connecton(stream);
    }
}

fn handle_connecton(mut stream: TcpStream) {
    let mut buffer = [0; 512];

    stream.read(&mut buffer).unwrap();

    let contents = fs::read_to_string("hello.html").unwrap();
    let response = format!("HTTP/1.1 200 OK\r\n\r\n{}", contents);
    stream.write(response.as_bytes()).unwrap();

    stream.flush().unwrap();

    // println!("Request: {}", String::from_utf8_lossy(&buffer[..]));
}
